textures/skies/palp
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/Asjc_palp/cs1 512 -
}



textures/Asjc_palp/city_fog
{
	qer_editorimage	textures/fogs/fog.tga
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 1 1 1 ) 20500.5
}

textures/Asjc_palp/storm
{
	qer_editorimage	textures/Asjc_palp/storm
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	cull	twosided
    
    {
        map textures/Asjc_palp/storm
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 -0.05
    }
    {
        map textures/Asjc_palp/storm_2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 +0.02
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/Asjc_palp/gas2
{
	qer_editorimage	textures/Asjc_palp/gas2
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
    {
        map textures/Asjc_palp/gas2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 -0.03
	alphaGen const 0.8
    }
    {
        map textures/Asjc_palp/gas3
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 -0.01
        alphaGen const 0.8
    }
}

textures/Asjc_palp/building_tops
{
	qer_editorimage	textures/Asjc_palp/building_tops
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
    {
        map textures/Asjc_palp/building_tops
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.8
    }
}

textures/Asjc_palp/dim_light1
{
    q3map_lightimage	textures/Asjc_palp/dim_light1_glw
	qer_editorimage	textures/Asjc_palp/dim_light1
	q3map_surfacelight	400
	q3map_lightsubdivide	60
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/dim_light1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/dim_light1_glw
        blendFunc GL_ONE GL_ONE
    }
}


textures/Asjc_palp/distance
{
	qer_editorimage	textures/Asjc_palp/distance
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
    
    {
        map textures/Asjc_palp/distance
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.8
    }
}

textures/Asjc_palp/rotate_cloud
{
	qer_editorimage	textures/Asjc_palp/rotate_cloud
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
    {
        map textures/Asjc_palp/rotate_cloud
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen const 0.9
	tcMod rotate -02
    }
}

textures/Asjc_palp/window_view
{
	qer_editorimage	textures/Asjc_palp/window_view
	qer_trans	0.9
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	cull	twosided
	q3map_nolightmap
    {
        map textures/Asjc_palp/window_env
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.1
	tcGen environment
    }
    {
        map textures/Asjc_palp/window_view
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/Asjc_palp/window_broke
{
	qer_editorimage	textures/Asjc_palp/window_broke
	qer_trans	0.9
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	cull	twosided
	q3map_nolightmap
    {
        map textures/Asjc_palp/window_broke
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/Asjc_palp/mid_light
{
    q3map_lightimage	textures/Asjc_palp/mid_light_glw
	qer_editorimage	textures/Asjc_palp/mid_light
	q3map_surfacelight	200
	q3map_lightsubdivide	60
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/mid_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/mid_light_glw
        blendFunc GL_ONE GL_ONE
	glow
    }
}

textures/Asjc_palp/1
{
	qer_trans	0.4
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	cull	twosided
    {
        animMap 14 textures/Asjc_palp/1 textures/Asjc_palp/2 textures/Asjc_palp/3 textures/Asjc_palp/4 textures/Asjc_palp/5 textures/Asjc_palp/6 textures/Asjc_palp/7 textures/Asjc_palp/8 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.4
	glow
        rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_palp/light_grey2
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/light_grey2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_wall_blue
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/Asjc_palp/base_wall
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/base_wall
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_wall_blue
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.15
        tcGen environment
    }
}

textures/Asjc_palp/wall_new
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/wall_new
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_wall_blue
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.15
        tcGen environment
    }
}

textures/Asjc_palp/wall_trim
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/wall_trim
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_padme/env_pad_wall_blue
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.15
        tcGen environment
    }
}

textures/Asjc_palp/window_broke_large
{
	qer_editorimage	textures/Asjc_palp/window_broke_large
	qer_trans	0.9
	surfaceparm	nonopaque
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_material	Glass
	cull	twosided
	q3map_nolightmap
    {
        map textures/Asjc_palp/window_broke_large
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}


textures/Asjc_palp/wall_broken
{
	qer_editorimage	textures/Asjc_palp/wall_broken
	surfaceparm     nonsolid
	surfaceparm	nomarks
	q3map_alphashadow
	cull	twosided
    {
        map textures/Asjc_palp/wall_broken
        alphaFunc GE128
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/Asjc_palp/omni1
{
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/Asjc_palp/omni1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/env_omni
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen const 0.25
        tcGen environment
    }
}

textures/Asjc_palp/cont2
{
    {
	map $lightmap
    }
    {
        map textures/Asjc_palp/cont2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/cont2_glw
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_palp/cont
{
    {
	map $lightmap
    }
    {
        map textures/Asjc_palp/cont
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/cont_glw
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}

textures/Asjc_palp/monitor1
{
    {
	map $lightmap
    }
    {
        map textures/Asjc_palp/monitor1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/Asjc_palp/monitor1_glw
        blendFunc GL_ONE GL_ONE
        glow
	rgbGen wave sin 0.75 0.05 0 5
    }
}